import request from '@/utils/request'

// 查询润滑计划列表
export function listLube(query) {
  return request({
    url: '/dms/lube/list',
    method: 'get',
    params: query
  })
}

// 查询润滑计划详细
export function getLube(planLubeId) {
  return request({
    url: '/dms/lube/' + planLubeId,
    method: 'get'
  })
}

// 新增润滑计划
export function addLube(data) {
  return request({
    url: '/dms/lube',
    method: 'post',
    data: data
  })
}

// 修改润滑计划
export function updateLube(data) {
  return request({
    url: '/dms/lube',
    method: 'put',
    data: data
  })
}

// 删除润滑计划
export function delLube(planLubeId) {
  return request({
    url: '/dms/lube/' + planLubeId,
    method: 'delete'
  })
}
